Subject: [quicwg/base-drafts] Ben Kaduk's Transport Comment 50 (#4662)

From: Lucas Pardue <[email-masked]>
Date: Wed, 06 Jan 2021 18:09:44 -0800

@kaduk said:

> Section 22.1.2
>
> > Applications to register codepoints in QUIC registries MAY include a
> > codepoint as part of the registration.  IANA MUST allocate the
> > selected codepoint if the codepoint is unassigned and the
> > requirements of the registration policy are met.
>
> Is this intended to preclude the experts from requiring an allocation to
> be made from a range with a different-length encoding?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4662

---

From: Martin Thomson <[email-masked]>
Date: Thu, 07 Jan 2021 16:55:54 -0800

Not completely, but it does reduce their options.  They can ask the applicant to reconsider, but this really boils down to there being four separate registries from which applicants can request allocations, rather than a single space.

(My personal bias here in proposing this approach was to also avoid putting experts on the critical path for deployment of experiments; the process in TLS does not work well in my opinion.  Though this does ostensibly require that allocations be approved, in practice this will allow people to implement and deploy without that.  Which is what happens anyway.  Also, the use of experimental space for QUIC transport parameters is a great example of how the TLS process for experimentation is terrible.  The experimental space is a hazard very much in the RFC 6648 sense.)

No action required here; question answered.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4662#issuecomment-756478729

---

From: Lars Eggert <[email-masked]>
Date: Tue, 12 Jan 2021 01:50:46 -0800

Closed #4662.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/4662#event-4194962759